#!/bin/bash
        
# Script which will parse txt files in [source directory] based on the
# datestamp of the files in [source directory] and
# [destination directory]
#
# Files marked 'newer' will be uploaded to a FTP server
# Note that new files will also be parsed...%)
#
# If you use the [source directory] for multiple sites, the second run
# will not mark any files 'newer'
        
dst="/home/httpd/html/"
src="/export/shared/html/txt/"
server="nero.prolan.com"
       
parse () {
   stf -h ${src}head1 -f ${src}foot1 -i -t ${file} \
   > ${dst}/`basename $file .txt`.html
}
        
upload () {
currentdir=`pwd`
cd ${dst}
mydate=`date +"%Y-%m-%d"`.`date +"%H:%M:%S"`
echo $mydate >> /tmp/ftplog.log
ftp -i ${server} >> /tmp/ftplog.log <<eoFTPfilelist
put `basename $file .txt`.html
ls `basename $file .txt`.html
quit
eoFTPfilelist
}
        
for srcfile in ${src}*.txt
do
dstfile=${dst}`basename $srcfile .txt`.html
   if [ -e $dstfile ]
   then
      if [ $srcfile -nt $dstfile ]
      then
         echo "Txt file newer, so I parse.... $srcfile"
         file=$srcfile
         parse
         upload
      fi
   else
      echo "HTML version does not exist, so I parse...$srcfile"
      file=$srcfile
      parse
      upload
   fi
done


